Extending Qt Creator Manual | ICodeStylePreferences

Extending Qt Creator Manual 4.5.2

# ICodeStylePreferences Class

(TextEditor::ICodeStylePreferences)

- List of all members, including inherited members

## Properties

- readOnly : bool

## Public Functions

| ICodeStylePreferences(QObject *parentObject = 0)
virtual | ~ICodeStylePreferences()
ICodeStylePreferences * | currentDelegate() const
QByteArray | currentDelegateId() const
ICodeStylePreferences * | currentPreferences() const
TabSettings | currentTabSettings() const
QVariant | currentValue() const
CodeStylePool * | delegatingPool() const
QString | displayName() const
virtual void | fromMap(const QString &prefix, const QVariantMap &map)
void | fromSettings(const QString &category, const QSettings *s)
QByteArray | id() const
bool | isReadOnly() const
void | setCurrentDelegate(ICodeStylePreferences *delegate)
void | setCurrentDelegate(const QByteArray &id)
void | setDelegatingPool(CodeStylePool *pool)
void | setDisplayName(const QString &name)
void | setId(const QByteArray &name)
void | setReadOnly(bool on)
void | setTabSettings(const TabSettings &settings)
virtual void | setValue(const QVariant &) = 0
TabSettings | tabSettings() const
virtual void | toMap(const QString &prefix, QVariantMap *map) const
void | toSettings(const QString &category, QSettings *s) const
virtual QVariant | value() const = 0

## Signals

void | currentDelegateChanged(TextEditor::ICodeStylePreferences *currentDelegate)
void | currentPreferencesChanged(TextEditor::ICodeStylePreferences *currentPreferences)
void | currentTabSettingsChanged(const TextEditor::TabSettings &settings)
void | currentValueChanged(const QVariant &)
void | displayNameChanged(const QString &newName)
void | tabSettingsChanged(const TextEditor::TabSettings &settings)
void | valueChanged(const QVariant &)

## Protected Functions

virtual QString | settingsSuffix() const = 0

## Property Documentation

### readOnly : bool

Access functions:

bool | isReadOnly() const
void | setReadOnly(bool on)

## Member Function Documentation

### ICodeStylePreferences::ICodeStylePreferences(QObject *parentObject = 0)

Default constructs an instance of ICodeStylePreferences.

### `[virtual]` ICodeStylePreferences::~ICodeStylePreferences()

Destroys the instance of ICodeStylePreferences. The destructor is virtual.

### ICodeStylePreferences *ICodeStylePreferences::currentDelegate() const

See also setCurrentDelegate().

### `[signal]` void ICodeStylePreferences::currentDelegateChanged(TextEditor::ICodeStylePreferences *currentDelegate)

### QByteArray ICodeStylePreferences::currentDelegateId() const

### ICodeStylePreferences *ICodeStylePreferences::currentPreferences() const

### `[signal]` void ICodeStylePreferences::currentPreferencesChanged(TextEditor::ICodeStylePreferences *currentPreferences)

### TabSettings ICodeStylePreferences::currentTabSettings() const

### `[signal]` void ICodeStylePreferences::currentTabSettingsChanged(const TextEditor::TabSettings &settings)

### QVariant ICodeStylePreferences::currentValue() const

### `[signal]` void ICodeStylePreferences::currentValueChanged(const QVariant &)

### CodeStylePool *ICodeStylePreferences::delegatingPool() const

See also setDelegatingPool().

### QString ICodeStylePreferences::displayName() const

See also setDisplayName().

### `[signal]` void ICodeStylePreferences::displayNameChanged(const QString &newName)

### `[virtual]` void ICodeStylePreferences::fromMap(const QString &prefix, const QVariantMap &map)

### void ICodeStylePreferences::fromSettings(const QString &category, const QSettings *s)

### QByteArray ICodeStylePreferences::id() const

See also setId().

### void ICodeStylePreferences::setCurrentDelegate(ICodeStylePreferences *delegate)

See also currentDelegate().

### void ICodeStylePreferences::setCurrentDelegate(const QByteArray &id)

### void ICodeStylePreferences::setDelegatingPool(CodeStylePool *pool)

See also delegatingPool().

### void ICodeStylePreferences::setDisplayName(const QString &name)

See also displayName().

### void ICodeStylePreferences::setId(const QByteArray &name)

See also id().

### void ICodeStylePreferences::setTabSettings(const TabSettings &settings)

See also tabSettings().

### `[pure virtual]` void ICodeStylePreferences::setValue(const QVariant &)

See also value().

### `[pure virtual protected]` QString ICodeStylePreferences::settingsSuffix() const

### TabSettings ICodeStylePreferences::tabSettings() const

See also setTabSettings().

### `[signal]` void ICodeStylePreferences::tabSettingsChanged(const TextEditor::TabSettings &settings)

### `[virtual]` void ICodeStylePreferences::toMap(const QString &prefix, QVariantMap *map) const

### void ICodeStylePreferences::toSettings(const QString &category, QSettings *s) const

### `[pure virtual]` QVariant ICodeStylePreferences::value() const

See also setValue().

### `[signal]` void ICodeStylePreferences::valueChanged(const QVariant &)